#!/usr/bin/env python
# coding: utf-8

# In[10]:


from __future__ import print_function
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import seaborn as sns
from sklearn.metrics import classification_report
from sklearn import metrics
from sklearn import tree
import warnings
warnings.filterwarnings('ignore')


# In[11]:


PATH = 'F:/My Courses/SensorSample.csv'
df = pd.read_csv(PATH)


# In[6]:


df['Humidity'].unique()


# In[6]:


sns.boxplot(y='Crop',x='Temperature',data=df)


# In[7]:


sns.jointplot(x="Humidity",y="Temperature",data=df,hue='Crop',size=8,s=30,alpha=0.7)


# In[8]:


sns.jointplot(x="Humidity",y="Temperature",data=df[(df['Temperature']<25) & (df['Humidity']>60)],hue="Crop")


# In[17]:


features = df[['Humidity','Temperature']]
target = df['Crop']
labels = df['Crop']


# In[18]:


acc = []
model = []


# In[19]:


from sklearn.model_selection import train_test_split
Xtrain, Xtest, Ytrain, Ytest = train_test_split(features,target,test_size = 0.2,random_state =2)


# In[20]:


from sklearn.tree import DecisionTreeClassifier

DecisionTree = DecisionTreeClassifier(criterion="entropy",random_state=2,max_depth=5)

DecisionTree.fit(Xtrain,Ytrain)

predicted_values = DecisionTree.predict(Xtest)
x = metrics.accuracy_score(Ytest, predicted_values)
acc.append(x)
model.append('Decision Tree')
print("DecisionTrees's Accuracy is: ", x*100)

print(classification_report(Ytest,predicted_values))


# In[ ]:




